Jump to content
dal-designs

Masking Parts of Blocks

Recommended Posts

dal-designs

Hello All,

 

 

Here in my office (oil and gas facilities planning) we're looking at revising some of our CAD practices. One of these involves drawing certain blocks that describe machinery (pumps, motors, gear boxes, loading arms, etc) so that when they lay over each other on plan drawings, you don't see wireframe bleeding through from the blocks underneath. In the past, drafters have exploded and trimmed these blocks to get the right look, but that way (obviously) lies madness.

 

I am toying with the idea of adding a masking solid shape into each block to mask the parts that lie beneath, but how to best do that I don't know. It would be nice to just draw a filled solid PLINE shape that plots white (that is, doesn't plot on paper) but I can't figure out how to do that. There's also the solid option, but I don't like that much because you can't draw them with true, smooth curves.

 

So how would y'all tackle this? All I can think of given the above constraints is to create pre-trimmed versions of each block, since our pump assemblies tend to go together only a few different ways each time, almost without exception...

Share this post


Link to post
Share on other sites
Dana W

Solid hatch with draw order set properly should work. Set the draw order for the hatch to "bring to front". You need to use true color, RGB, 255.255.255 on the hatch for it to plot as white rather than black.

Share this post


Link to post
Share on other sites
RobDraw
You need to use true color, RGB, 255.255.255 on the hatch for it to plot as white rather than black.

 

Wouldn't this depend on the pen settings? Isn't it possible that that color could be set to plot black or shaded?

Share this post


Link to post
Share on other sites
jarr3tt88

Personally I like wipeouts in blocks, others don't. I'll attach a file with some blocks for example. Basically just draw the block as you want, then send the wipeout to the back of the block. The block thats placed ontop of anything will make it disappear.

 

Wipeout Block Examples.dwg

 

I love the door block in particular, talk about a time saver!

Share this post


Link to post
Share on other sites
RobDraw

It is well known that wipeouts do not always work as expected, especially when it comes to display order. Also, some PDF programs plot them as solid blocks. That is why Dana suggested using a hatch that plots white.

Share this post


Link to post
Share on other sites
jarr3tt88

I haven't run into any issues with them yet, so I would recommend them. I like to give alternate solutions as you know :P Autocad has a built in DWG to PDF printer, and the sheet sets help to combine them. Not sure why there would be a need to use a 3rd party PDF maker.

 

Yes the wipeouts have their issues, but so do other things. Draw order isn't a big deal to me cause I can fix it pretty quickly selecting the object, typing DO, enter, enter. So it still saves more time than making a door or window the old fashioned way of extend/trimming. I like being able to just pop in the door block and it self rotates, and "trims out" the wall lines, which I can leave to center the doors quickly; plus I can move a door a foot if I want and not have to fix the wall lines left behind without the wipeout technique.

Share this post


Link to post
Share on other sites
RobDraw

So, you would recommend something that has documented issues just because you have not had any problems with it?

 

I went for years without any virus protection on my personal computer without ever getting a virus. I practiced safe browsing. On the other hand, I have gotten viruses on computers with protection.

 

Do you think that I should go back to not having any installed since I did not get any viruses?

Share this post


Link to post
Share on other sites
jarr3tt88

Could you show me some threads where the issues are? Aside PDF issues. PDF printing through autocad doesn't have an issue like that printing wipeouts solid. If its draw order issues, mostly you can do a regen and its fixed.

 

I have dozens of blocks with wipeouts, and for me, the issues aren't there to not justify not using them as a time saving technique. I'm just providing a secondary solution to solid hatch, which I don't think is really a good option to begin with. I use cycle selection, and I'd hate for it to be popping up every time because there is a hatch object there. The wipeout borders don't show, as you can turn them off (and I've even created a turn on and turn off wipeout frame custom commands).

 

As you know, everyone drafts different. Two options were given, maybe there is more. Its up to Dal decide which they would prefer. I don't think its fair to out right call another option not worthy just because you don't prefer it.

Share this post


Link to post
Share on other sites
RobDraw

I am not making any recommendations that the OP not use them or for you to change, just pointing out that wipeouts have known issues especially with display order. Either solution will work. The solid hatch solution was given by Dana because of the known issues with wipeouts.

 

I won't site specific instances. If you are that curious, you can do your own research about issues with wipeouts.

Share this post


Link to post
Share on other sites
dal-designs

Thanks for the advice. While WIPEOUT is definitely handy, the whole, "polyline must be made of line segments" is a problem. Some of our equipment has curved parts, so WIPEOUT would only work if each curve was made of a lot of line segments. Yes, I want my masks to be that exact, because they have to be that exact to look good at certain scales.

Share this post


Link to post
Share on other sites
Dana W
Wouldn't this depend on the pen settings? Isn't it possible that that color could be set to plot black or shaded?
Yes, one could change the pen settings, accompanied by a special layer, but I am just going with what one gets out of the box after I tested it with the monochrome.ctb.

Share this post


Link to post
Share on other sites
jarr3tt88
Thanks for the advice. While WIPEOUT is definitely handy, the whole, "polyline must be made of line segments" is a problem. Some of our equipment has curved parts, so WIPEOUT would only work if each curve was made of a lot of line segments. Yes, I want my masks to be that exact, because they have to be that exact to look good at certain scales.

 

A WIPEOUT can also be created from an existing polyline. So create the polyline as needed, then select the polyline when making the WIPEOUT.

 

Edit- I guess curves don't work even if its existing polyline, silly, didn't know that....Well if it needs to be exact, I'd go with the hatch option.

Share this post


Link to post
Share on other sites
dal-designs

Right you are :)

 

As many leaps and bounds as ACAD has made since R14 (or even 2007), I guess some of the little things aren't there yet!

Share this post


Link to post
Share on other sites
jarr3tt88

Indeed :) Best of luck on the blocks! And feel free to still check out my dynamic blocks if you would like (and want to use) I love dynamic blocks more and more everyday, smart blocks are the best! Esp since learning about wipeouts, clips, visability states, alignment, fields, etc.

Share this post


Link to post
Share on other sites
tzframpton

Do yourself a favor and completely scratch WIPEOUT objects. It will save you a ton of headache later on with plotting, creating PDF's, file bloating, FRAME settings, etc.

 

The Solid Hatch @ 255,255,255; OR pick any color on your CTB file and set the screening to 0%. WIPEOUT objects are one of the top problematic items in AutoCAD, hands down.

Share this post


Link to post
Share on other sites
acad386bis

Change le 255 en 255,255,255 dans les bloc...

 



Private Sub LTSHachure255_Click()
Dim objEntHach As AcadEntity
Dim objBlocRefHach As AcadObject
Dim retcolor As AcadAcCmColor
Dim objBlocHach As AcadBlock
Dim Pt1(0 To 2) As Double
Dim I As Integer
Dim intRet As Integer
Dim hatchObj As AcadHatch
'Dim Code(0) As Integer
'Dim CodeValue(0) As Variant
'Dim sset As AcadSelectionSet

On Error Resume Next
Dim MajorVerNumber
MajorVerNumber = Left(ThisDrawing.GetVariable("ACADVER"), 2)
Set retcolor = AcadApplication.GetInterfaceObject("AutoCAD.AcCmColor." & MajorVerNumber)
retcolor.SetRGB 255, 255, 255
UserForm1.hide
refaire:
ThisDrawing.Utility.GetEntity objBlocRefHach, Pt1, "Sélectionnez le bloc à modifier :"
If objBlocRefHach.ObjectName <> "AcDbBlockReference" Then
intRet = MsgBox("Cette entité n'est pas un bloc.", 53, "Choix d'un bloc")
If intRet = 4 Then GoTo refaire Else End
End If

I = 0
Set objBlocHach = ThisDrawing.Blocks(objBlocRefHach.Name)
For Each objEntHach In objBlocHach
If objEntHach.ObjectName = "AcDbHatch" Then
If objEntHach.TrueColor.ColorIndex = 255 Then
objEntHach.TrueColor = retcolor
End If
End If
Next

ThisDrawing.Regen acActiveViewport
Set objBlocRefHach = Nothing
Set retcolor = Nothing
UserForm1.Show
End Sub

Share this post


Link to post
Share on other sites
AJ_The Cadalyst

Why don't you use the "visibility parameter" within the block... this way you can choose the section you want to see from the dropdown list... all the rest would be hidden...

Share this post


Link to post
Share on other sites
jarr3tt88

For those of you against wipeouts because of the solid black issue and would like to give them a try again, I found this post on another forum. I haven't had the issue of the solid black until today for some weird reason my printer drivers might have changed. The DWG to PDF option through Autocad worked, but my printer was showing the solid black for wipeouts. So I searched for this remedy, and it worked :)

 

"I've found if you change the color of the wipeout from 'By Layer' or AutoCAD's 'white' that prints as black to true color 255,255,255 (actual white, not AutoCAD white), then when you print AutoCAD figures (including from a PDF file of that figure), the black boxes, lines, etc. go away, and the figure prints correctly."

 

http://forums.autodesk.com/t5/AutoCAD-2010-2011-2012/Wipeout-command-Plots-all-black-in-PDF-format/td-p/3361209

 

Thanks Arron Michaels!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×